
#include "FightHero.h"
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include <fstream>

extern  PAINTSTRUCT ps;
extern 	HDC hdc;
extern 	HBITMAP hbmp; 
extern 	HBITMAP hbmp2; 
extern 	BITMAP bmp;
extern 	HDC hdcMem;
extern 	HDC hdcTmp;
extern 	RECT rect;
extern 	HWND hwnd;
extern  char texta[255][20];

using namespace std;

void FightHero::Init()
{
	degree = 0;
	att = 0;
	def = 0;
	speed = 0;
	hp = 0;
	mp = 0;
	exp = 0;
	expMax = 0;
	anima =0;
	lucky = 0;
	disround = 0;
	anti = 0;
	atcause = 0;
	togethermagic = 0;
	hpAdd =0;
	mpAdd = 0;
	head = 0;
	body = 0;
	shoulder = 0;
	sleeve =0;
	hand = 0;
	foot = 0;
	decorate1 = 0;
	decorate2 = 0;
	hpMax = 0;
	mpMax = 0;
	du = 0;//20160818
	ruan = 0;
	feng = 0;
	mian = 0;
	ateffect = 0;
	dfeffect = 0;
	speedeffect = 0;

	no = 0;
	faceTo = 0;
	step = 0;
	action = 0;
	magicMaxInList = 0;
	magicLearn =0;
	magicListNo = 0;
	picno = 0;
	memset(name,0,sizeof(name)); 
	
}

void FightHero::Show(int xx,int yy)
{
	
}

void FightHero::ShowDirct(int xx,int yy)
{
	
}

int FightHero::KeyDown(WPARAM KeyCode)
{
	return 0;
}

